#define enD 11 //Puissance moteur droit
#define enG 6 //Puissance moteur gauche
#define in1 9 //Contrôle le sens de rotation du moteur, il ne peut y en avoir qu'un seul HIGH et un seul LOW à la fois
#define in2 10 //D8 HIGH et D9 LOW = Avance, D8 LOW et D9 HIGH = recule
#define in3 7 //de même avec D10 et D11
#define in4 8
int k=0;

void demarre()
{
  float pwm;
  analogWrite(enD,255);
  analogWrite(enG,255);
  delay(20);
  for(int i=1;i<=100;i++)
  {
    pwm = map(i,1,100,160,255);
    analogWrite(enD,pwm);
    analogWrite(enG,pwm);
    delay(10);
  }
}

void roule(){
  int i=0;
  
  analogWrite(enD, 255); 
  delay(22); //delai de démarrage entre roue gauche et roue droite
  analogWrite(enG, 255);

  delay(500);
  //Lorsqu'on passe les 3 secondes on réduit progressivement la vitesse pendant 1 seconde
  for(int k = 1 ; k <= 10 ; k=k+1)
  {
    analogWrite(enD,200-(k*20));
    analogWrite(enG,200-(k*20));
    delay(100);
  } 
  delay(5000);
}

void setup() {
  pinMode(enD, OUTPUT);
  pinMode(in1, OUTPUT);
  pinMode(in2, OUTPUT);
  pinMode(enG, OUTPUT);
  pinMode(in3, OUTPUT);
  pinMode(in4, OUTPUT);
  //rotation de base
  digitalWrite(in1, LOW);
  digitalWrite(in2, HIGH);
  digitalWrite(in3, LOW);
  digitalWrite(in4, HIGH);
}

void loop() {
  if(k==0)
  {
  demarre();
  k=k+1;
  }
}
