module plaque_superieure() {
	 union() {
		  difference() {
				color("PowderBlue") cylinder(d=diametre,h=epaisseur-1);
				// Trous pour fixer les haubans
				translate([diametre/2-25,diametre/2-66,-.1]) cylinder(d=rayon,h=5);
				translate([-(diametre/2-25),diametre/2-66,-.1]) cylinder(d=rayon,h=5);
				translate([diametre/2-50,-(diametre/2-40),-.1]) cylinder(d=rayon,h=5);
				translate([-(diametre/2-50),-(diametre/2-40),-.1]) cylinder(d=rayon,h=5);
				// Trou central pour passer les câbles de la plateforme moteur
				cylinder(d=30,h=epaisseur-1);
				// Trous pour installer des capteurs
				for (dist = [35:20:95]) {
					 for (angle = [0:45:315]) {
						  rotate([0,0,angle]) translate([dist,0,0]) cylinder(d=3,h=epaisseur-1);
					 }
				}
		  }
      }
  }
  
  $fn=50;
// Paramètres de la base de la plateforme
retrait=34;
diametre=65*2+retrait*2+3*2;
epaisseur=4;
//Pour les fixations
rayon=4.3;
  
 plaque_superieure();