#include <Encoder.h>
#define enD 11 //Puissance moteur droit
#define enG 6 //Puissance moteur gauche
#define in1 9 //Contrôle le sens de rotation du moteur, il ne peut y en avoir qu'un seul HIGH et un seul LOW à la fois
#define in2 10 //D8 HIGH et D9 LOW = Avance, D8 LOW et D9 HIGH = recule
#define in3 7 //de même avec D10 et D11
#define in4 8
#define interrupt1 2 //Pins d'interruption
#define interrupt2 3
#define in5 4
#define in6 5
int demarrage = 1;
Encoder encD(interrupt1, in5); //l'encodeur droit à valeurs négatives, gauche valeurs positives
Encoder encG(interrupt2, in6);
int destD = 0;
int destG = 0;




void roule(float tours)
{
  encD.write(0);
  encG.write(0);
  //regle la destination de chaque moteur
  destD = int(tours * 200);
  destG = int(tours * 544);




  //demarre();
  //int pas = floor(tours*472);

  /*while(pasD+encD.read() > 0 && pasG-encG.read()>0){

    int vitesseD = map(pasD+encD.read(),0,pasD,35,255);
    int vitesseG = map(pasG-encG.read(),0,pasG,35,255);

    analogWrite(enD,vitesseD);
    analogWrite(enG,vitesseG);

    Serial.print(vitesseG);
    Serial.print(" ");
    Serial.println(vitesseD);

    Serial.print(encG.read());
    Serial.print(" ");
    Serial.println(encD.read());
    }
    int moy_pas = floor((encD.read()*0.424)+(encG.read()*0.576));
    while(moy_pas < pas)
    {
    int pwm = map(pas-moy_pas,0,pas,35,255);
    analogWrite(enG,pwm);
    analogWrite(enD,pwm);
    moy_pas = floor((encD.read()*0.424)+(encG.read()*0.576));

    Serial.print(moy_pas);
    Serial.print(" | ");
    Serial.print(encG.read());
    Serial.print(" ");
    Serial.println(encD.read());
    }*/
}

void demarre()
{
  if (demarrage)
  {
    float pwm;
    analogWrite(enD, 255);
    analogWrite(enG, 255);
    delay(20);
    for (int i = 1; i <= 100; i++)
    {
      pwm = map(i, 1, 100, 160, 255);
      analogWrite(enD, pwm);
      analogWrite(enG, pwm);
      delay(10);
    }
    demarrage = 0;
  }
}

void setup() {
  Serial.begin(9600);

  pinMode(enD, OUTPUT);
  pinMode(in1, OUTPUT);
  pinMode(in2, OUTPUT);
  pinMode(enG, OUTPUT);
  pinMode(in3, OUTPUT);
  pinMode(in4, OUTPUT);
  //rotation de base
  digitalWrite(in1, LOW);
  digitalWrite(in2, HIGH);
  digitalWrite(in3, LOW);
  digitalWrite(in4, HIGH);
  encD.write(0);
  encG.write(0);

  roule(5);
}

void loop() {

  //moteurDroit
  int pwmD = int(map(( destD+encD.read() ),0, destD, 40, 255));
  pwmD=constrain(pwmD,0,255);

  analogWrite(enD, pwmD);



  int pwmG= int(map(( destG-encG.read() ),0, destG, 40, 255));
  pwmG=constrain(pwmG,0,255);

  analogWrite(enG, pwmG);


  Serial.print(pwmG);
  Serial.print(" | ");
  Serial.print(destG);
  Serial.print(" | ");
  Serial.println(encG.read());


if(abs(destD+encD.read())<60){
  analogWrite(enD, 0);
  analogWrite(enG, 0);
  //encD.write(0);
  delay(2000);
  
  roule(1);
  }

}

//estimer différence entre les encodeurs + variation de cette différence dans le temps pous s'en servir plus tard
